using System;
using System.Windows.Forms;
using System.Drawing;

class FormWithWorkingButton : Form
{
    // The constructor method for our class
    public FormWithWorkingButton()
    {
        // Set the window title
        this.Text = "Simple form with working button";

        // Add a button and hook it up to an event handler method

        Button button1 = new Button();
        button1.Text = "Click me";
        button1.Click += new System.EventHandler(Button1_Click);
        this.Controls.Add(button1);

    }

    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run(new FormWithWorkingButton());
    }

    // An event handler that will be run when the button is clicked
    void Button1_Click(object sender, EventArgs e)
    {
        // Change the window title
        this.Text = "Button was clicked";
    }
}