using System.Windows.Forms;
using System.Drawing;

class MyForm : Form
{
    // Declare a listbox outside the methods, since we'll want to talk to it
    // from more than one method
    ListBox listBox1;

    // The constructor method for our class
    public MyForm()
    {
        // Create a picture box, put a picture in it and add it to this form

        PictureBox pictureBox1 = new PictureBox();
        pictureBox1.SizeMode = PictureBoxSizeMode.StretchImage;
        Bitmap image1 = new Bitmap("../../images/seashore.jpg");
        pictureBox1.ClientSize = new Size(this.Width, 100);
        pictureBox1.Image = (Image)image1;
        this.Controls.Add(pictureBox1);

        // Create a button object, set some of it's properties and add it to the form

        Button button1 = new System.Windows.Forms.Button();
        button1.Location = new System.Drawing.Point(10, 120);
        button1.Text = "Click me";
        button1.Click += new System.EventHandler(button1_Click);
        this.Controls.Add(button1);

        // Create a listbox object, set some of it's properties and add it to the form

        listBox1 = new System.Windows.Forms.ListBox();
        listBox1.Location = new System.Drawing.Point(10, 160);

        listBox1.Items.Add("Sparkly");
        listBox1.Items.Add("Dull");
        listBox1.Items.Add("Vivacious");
        listBox1.Items.Add("Plain");
        listBox1.Items.Add("Outstanding");

        listBox1.SelectedIndex = 3;

        this.Controls.Add(listBox1);
    }

    // An event handler method that will run when the button is clicked
    void button1_Click(object sender, System.EventArgs e)
    {
        // Show a message indicating which item in the listbox is selected
        MessageBox.Show(this, "You have selected " + listBox1.SelectedItem, "Notification", MessageBoxButtons.OK);
    }

    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run(new MyForm());
    }
}