using System;
using System.Windows.Forms;
using System.Drawing;

class PictureDisplayer : Form
{
    Bitmap image1;
    PictureBox pictureBox1;

    // The constructor method for our class
    public PictureDisplayer()
    {
        // Set the window title and size

        this.Text = "Picture Displayer";
        this.Size = new Size(302, 240);

        // Prepare a box to hold a picture

        pictureBox1 = new PictureBox();
        pictureBox1.SizeMode = PictureBoxSizeMode.StretchImage;
        pictureBox1.BorderStyle = BorderStyle.Fixed3D;
        pictureBox1.ClientSize = new Size(300, 196);

        // Add a picture to the box

        image1 = new Bitmap(@"../../images/lama.jpg");
        pictureBox1.Image = (Image)image1;

        // Add the box (with it's picture) to the form

        this.Controls.Add(pictureBox1);

    }

    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run(new PictureDisplayer());
    }

}